unit ObjectOr;

interface

uses
  CustomObject, Vec2f, IniFiles, System.SysUtils, Units.Player, Units.Custom,
  QuadEngine;

type
  TObjectOr = class(TCustomObject)
  protected
    procedure UpdateParentAction; override;
  published

  end;

implementation

procedure TObjectOr.UpdateParentAction;
var
  i: Integer;
begin
  FParentAction := False;
  for i := 0 to FParentList.Count - 1 do
    if FParentList[i].Action then
    begin
      FParentAction := True;
      Break;
    end;
end;

end.

